<?php

declare(strict_types=1);

namespace Apexl\Io\User\Interfaces;

use Apexl\Io\User\Entities\UserEntity;
use Apexl\Io\User\Enums\PermissionAction;

interface ChecksPermissions
{
    public function checkPermission(PermissionAction $action, UserEntity $user, ?string $tableAlias): bool|callable;
}